OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKLCAF
TDocStd

# TDocStd_Context Class Reference

`#include <TDocStd_Context.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TDocStd_Context ()
Standard_EXPORT void | SetModifiedReferences (const Standard_Boolean Mod)
Standard_EXPORT Standard_Boolean | ModifiedReferences () const
## Private Attributes
Standard_Boolean | modifiedRef

## Constructor & Destructor Documentation

Standard_EXPORT TDocStd_Context::TDocStd_Context | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Boolean TDocStd_Context::ModifiedReferences | ( |  | ) | const

void TDocStd_Context::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TDocStd_Context::operator new | ( | size_t | size | ) | `[inline]`

void* TDocStd_Context::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void TDocStd_Context::SetModifiedReferences | ( | const Standard_Boolean | Mod | ) |

## Field Documentation

Standard_Boolean TDocStd_Context::modifiedRef`[private]`

The documentation for this class was generated from the following file:

- TDocStd_Context.hxx